echo.
@echo Make the bootloaders for all supported platforms

@ls -1 make_*_settings.mk > platform_settings_list.txt
@setlocal   ENABLEDELAYEDEXPANSION
@type platform_settings_list.txt

@echo.
@echo Copyright 2014 Albrecht Weinert   ++ a.weinert.de  ++ 
@echo $Revision: 1 $, $Date: 2017-01-25 11:03:06 +0000 (Wed, 25 Jan 2017) $ 
@echo.
@make clean
@echo ==================================================================
@echo.
@echo.
@for /F  %%i in (platform_settings_list.txt) do @(
 @set varLoop=%%i
 @echo making bootloader for !varLoop:~5,-12!
 make PLATFORM=!varLoop:~5,-12! clean bootloader
 @if ERRORLEVEL 1 (
   @echo error for demo on !varLoop:~5,-12!
   @pause
 ) 
 @echo.
 @ls -o boot109_!varLoop:~5,-12!*.*
 @echo.
 @echo ========================================^( end  !varLoop:~5,-12! ^)=============
 @echo.
)

@echo.
@echo Save all .hex and _ext.tab files in an archive
@echo.
jar cfMv hexNtabs.jar *.hex *_ext.tab
@svn status | grep  "^M" | grep -E "(\.tab$|\.mk|\.c$|\.h$)"
@if ERRORLEVEL 1 (
 @echo.
 @echo No sources were modified. Hence no new hexNtabs.zip will be made, as
 @echo the only difference would, perhaps, be the build time stamps.
) else (
 @echo.
 @copy /Y hexNtabs.jar hexNtabs.zip
 @ls -o hexNtabs.zip
) 
@echo.