/**
 * \file conf_weAut_00.h
 *
 *  Configuration settings for the weAut_00 automation module
 *
 *  This file contains some platform specific definitions concerning software
 *  and hardware configuration. It mostly delegates to config_weAut_01.h, the
 *  successor. (All else see there.)
 *
 *  Platform: weAut_00; CPU: ATmega1284p;
 *  atmega1284p  # takes avr/iom1284p.h (stand alone; no iomxx...h)
 *
 * This file is part of weAutSys &nbsp;
 *          <<a href="http://weinert-automation.de">weinert-automation.de</a>>
 * <br />It is also used for the \ref bootSup "serial bootloader".
 *
 * &nbsp; \ref copyLicNote " Copyright &copy; " 2014  Albrecht Weinert, Bochum
 * \author  Albrecht Weinert  &nbsp; <<a href="http://a-weinert.de">a-weinert.de</a>>
 * 1
 * 25.01.2017
 */
//  SVN last change by A. Weinert

/** @} */ // Doxygen addtogroup   comTypes
/** @} */ // Doxygen addtogroup appLaySup

#ifndef CONFIG_PLATFORM_H
# include "arch/config_weAut_01.h"

# undef  CONFIG_PLATFORM_H
# define CONFIG_PLATFORM_H weAut_00
# undef  weAut_
# define weAut_ 0
#else
# error "more than one platform specific config_platform.h file"
#  include <avr/iom1284p.h>  // docu only (never to here)
#endif
