# Makefile include for weAut's serial bootloader 
# and (optionally) linked applications
# Copyright  2014  Albrecht Weinert    < a-weinert.de >

MAKE_INCLUDE_PLATFORM  = boAVR2013
MAKE_INCLUDE_LAST_CHANGE = '$Date: 2015-09-15 19:07:09 +0200 (Di, 15 Sep 2015) $ '
MAKE_INCLUDE_REVISION = '$Revision: 38 $ '

ifndef COPYRIGHT_YEAR
$(error includefile $(MAKE_INCLUDE_PLATFORM) used directly.)
endif

# PLATFORM might have been given in wrong case (at least on Windows)
override PLATFORM = $(MAKE_INCLUDE_PLATFORM)

# make_boAVR2013_settings.mk
# this include file is for platform specific settings only

# An optional short multiline description of this platform's
# specifica and, especially; implemented variants, if any.
# May be empty. Do not change the three lines define endef and export
define PLAF_DES_TEXT

Experimental evaluation board boAVR2013 by A. Koch
                                             (ATmega32; 14,7456 MHz Quartz)

Attention / Hints:
      Serial baudrates above 19200 still to be tested (due to exotic F_CPU).
      No variants may be choosen with VAR=value so far
      Port usage asumes all LEDs jumpered to port B; i.e. B all output.
      
endef
export PLAF_DES_TEXT

 
MCU =  atmega32
BOOT_TEXT = 0x7000
MAX_BOOTSIZE = 4096
override EFUSE =none

F_CPU ?= 14745600
PRG_APP_b = 19200

# lfuse FF experimatally OK for quartz 14,75 MHz, full swing
LFUSE =0xFF
HFUSE =0xD0

ifeq ($(RUN_ON), Windows)
	DEF_AVRISP_P ?= usb
	DEF_AVR109_P ?= com1
endif